Tracira
API referenceSettings

Get workspace settings and usage

GET
/api/settings

Authorization

sessionAuth
better-auth.session_token<token>

Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.

In: cookie

Response Body

application/json

application/json

curl -X GET "https://example.com/api/settings"
{  "id": "string",  "name": "string",  "workspaceName": "string",  "color": "string",  "webhookToken": "string",  "apiKey": "string",  "notifyOnFlag": true,  "notifyOnFail": true,  "notificationEmail": "string",  "slackNotificationsEnabled": true,  "emailNotificationsEnabled": true,  "webhookEnabled": true,  "outboundWebhookUrl": "string",  "outboundWebhookEvents": "string",  "openaiJudgeModel": "string",  "anthropicJudgeModel": "string",  "openrouterJudgeModel": "string",  "defaultJudgeProvider": "anthropic",  "currentUserRole": "string",  "canManageWorkspace": true,  "billing": {},  "usage": {}}
{  "error": "string",  "code": "string",  "fields": {    "property1": "string",    "property2": "string"  }}